Webauthn Authenticate Complete
POST
/api/v1/auth/2fa/webauthn/authenticate/complete
const url = 'https://api.ultimateteam.ai/api/v1/auth/2fa/webauthn/authenticate/complete';const options = { method: 'POST', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"credential":{"id":"example","rawId":"example","response":{"authenticatorData":"example","clientDataJSON":"example","signature":"example","userHandle":"example"},"type":"public-key"},"two_factor_token":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.ultimateteam.ai/api/v1/auth/2fa/webauthn/authenticate/complete \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "credential": { "id": "example", "rawId": "example", "response": { "authenticatorData": "example", "clientDataJSON": "example", "signature": "example", "userHandle": "example" }, "type": "public-key" }, "two_factor_token": "example" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
WebAuthnAuthenticateCompleteRequest
object
credential
required
two_factor_token
required
Two Factor Token
2FA token from login response
string
Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
LoginResponse
Response body for the login endpoint.
Attributes: access_token: A short-lived JWT access token. refresh_token: A long-lived JWT refresh token. token_type: Always ‘bearer’. two_fa_required: Whether a second factor is needed. two_fa_token: Short-lived token for 2FA verification.
object
2fa_methods
2Fa Methods
Array<string>
2fa_required
2Fa Required
Whether 2FA verification is required
boolean
access_token
Access Token
Short-lived JWT access token
string
refresh_token
Refresh Token
Long-lived JWT refresh token
string
token_type
Token Type
Token scheme, always ‘bearer’
string
Example
{ "2fa_methods": [ "totp" ], "2fa_required": false, "access_token": "", "refresh_token": "", "token_type": "bearer"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}